Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.container
Class BambooTask

    java.lang.Object
      com.atlassian.bamboo.container.BambooTask

All Implemented Interfaces:
  Runnable

Direct Known Subclasses:
  BuildCompleteNotifier, DefaultBuildChangeDetector, DefaultBuildExecutor, PipelineSelector

    public abstract class BambooTask

extends Object
implements Runnable

This class provides an executable task abstraction.

Constructor Summary
`BambooTask()`

Method Summary
`protected abstract void` | `doTask()` The task we're executing
`protected Persister` | `getPersister()` What is the task's Build Persister?
`protected void` | `init()` Lets the the component be initailed when the task daemon starts.
`boolean` | `isRunning()` Is the task currently running?
`void` | `run()` Execute the task.
`void` | `stop()` Stop the task from running.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BambooTask

    public BambooTask()

Method Detail

### getPersister

    protected Persister getPersister()

  What is the task's Build Persister?

  Returns:
    the build persister

### run

    public void run()

  Execute the task. Most implememtations simply block and wait to take something off the input queue.

  Specified by:
    `run` in interface `Runnable`

### doTask

    protected abstract void doTask()
                            throws Exception

  The task we're executing

  Throws:
    `Exception`

### init

    protected void init()

  Lets the the component be initailed when the task daemon starts. Default behaviour is to enable the task to run.

### stop

    public void stop()

  Stop the task from running.

### isRunning

    public boolean isRunning()

  Is the task currently running?

  Returns:
    true iff its currently running, false otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.